<?php
/**
 * @version $Id: view.php 2979 2010-07-10 14:03:27Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 **/

// Dont allow direct linking
defined( '_JEXEC' ) or die();
?>
<div><?php $this->displayPathway(); ?></div>

<?php if ($this->headerdesc) : ?>
	<div id="kforum-head" class="<?php echo isset ( $this->catinfo->class_sfx ) ? ' kforum-headerdesc' . $this->escape($this->catinfo->class_sfx) : '' ?>">
		<?php echo $this->headerdesc ?>
	</div>
<?php endif ?>

<?php
	$this->displayPoll();
	CKunenaTools::showModulePosition( 'kunena_poll' );
	$this->displayThreadActions(0);
?>

<div class="kblock">
	<div class="kheader">
		<h2><span><?php echo JText::_('COM_KUNENA_TOPIC') ?> <?php echo $this->escape($this->kunena_topic_title) ?><div id="socialshare"><?php require("addthis.php") ?></div></span></h2>
		<?php if ($this->favorited) : ?><div class="kfavorite"></div><?php endif ?>
	</div>
	<div class="kcontainer">
		<div class="kbody">
			<?php foreach ( $this->messages as $message ) $this->displayMessage($message) ?>
		</div>
	</div>
</div>
<?php $this->displayThreadActions(1); ?>

<div class = "kforum-pathway-bottom">
	<?php echo $this->kunena_pathway1; ?>
</div>
<!-- B: List Actions Bottom -->
<div class="kcontainer klist-bottom">
	<div class="kbody">
		<div class="kmoderatorslist-jump fltrt">
				<?php $this->displayForumJump (); ?>
		</div>
		<?php if (!empty ( $this->modslist ) ) : ?>
		<div class="klist-moderators">
				<?php
				echo '' . JText::_('COM_KUNENA_GEN_MODERATORS') . ": ";
				$modlinks = array();
				foreach ( $this->modslist as $mod ) {
					$modlinks[] = CKunenaLink::GetProfileLink ( intval($mod->userid) );
				}
				echo implode(', ', $modlinks);
				?>
		</div>
		<?php endif; ?>
	</div>
</div>
<!-- F: List Actions Bottom -->
<?php
		$id 			= $this->thread;
		$catid 			= $this->catid;
 
		$this->db->setQuery("SELECT a.*, b.* FROM #__kunena_messages AS a LEFT JOIN #__kunena_messages_text AS b ON a.id=b.mesid WHERE a.id='{$id}' AND a.hold='0'");
		$this_message = $this->db->loadObject();
 
		$this->db->setQuery("SELECT * FROM #__kunena_categories WHERE id='{$catid}'");
        $objCatInfo = $this->db->loadObject();
 
		$percent=5; //similarity percentage, increase for sensitive matching. for example 10 is 10% match, 50 is 50% match, 100 is one o one
		$topics_only=1; //set 1 if you wanna show only topics, set 0 to show relative messages directly
		$limit = 5; //set number of relative messages 
 
		$parent = ($topics_only == 1) ? " AND parent=0 " : "";
 
		$query=("SELECT id, subject, name, time as zaman, catid, userid, MATCH(t1.message) AGAINST('".addslashes($this_message->subject)."') as oran1, MATCH(t2.subject)  AGAINST('".addslashes($this_message->subject)."') as oran2 FROM 
		#__kunena_messages_text as t1 INNER JOIN #__kunena_messages as t2 ON t2.id = t1.mesid 
		WHERE (MATCH(t1.message) AGAINST('".addslashes($this_message->subject)."') > $percent OR MATCH(t2.subject) AGAINST('".addslashes($this_message->subject)."') > $percent)  AND t2.thread <>" . $this_message->thread . $parent . " ORDER BY oran2 DESC, oran1 DESC LIMIT $limit;");
 
 
		$sim_message = $this->db->setQuery($query);
		$sim_message = $this->db->loadObjectList();;
 
		if (count($sim_message)> 0)
		{
		echo '<div class= "kblock"><div class= "kheader"><h2><span>Relacionados</span></h2></div><div class= "klist-bottom"';?>
 
		<?php foreach ($sim_message as $sonuc) {
		if ($sonuc->oran1 > $sonuc->oran2)
		{
		$oran = $sonuc->oran1;
		}
		else {
		$oran=$sonuc->oran2;
		}
					echo "<span><b><a  rel=\"follow\" title=\"".$sonuc->subject."\" href=\"".CKunenaLink::GetThreadPageURL('view', $sonuc->catid, $sonuc->id, $page, $this->limit)."\">".$sonuc->subject."</a></b></span><br>";
				}
echo "</div></div>";
		}
?>